import time

import pytest

from common.cutils import get_text
from common.untils import DriverTools
from config import user_name, password
from paga.AIEditingRoomPage import AIER
from paga.DigitalEmployeesPage import DEA
from paga.RaysModernPaperBookPage import RAYSMPB
from paga.DelPage import Del
from paga.LoginPage import Login


class TestCreate:
    # 类前置
    def setup_class(self):
        self.login = Login()
        self.AIER = AIER()
        self.RAYSMPB= RAYSMPB()
        self.DEA = DEA()
        self.delete = Del()

    def setup_method(self):
        self.driver = DriverTools.get_driver().get('https://rays7.5rs.me/login')

    # 类后置
    def teardown_class(self):
        DriverTools.quit_driver()

    # 数字编辑助理流程
    def test_Digital_Editorial_Assistant(self):
        self.login.login(user_name, password)
        time.sleep(3)
        self.RAYSMPB.to_ai_studio()
        self.AIER.to_ai_room()
        self.DEA.meld()
        self.DEA.mmcvo()
        self.DEA.mpbokpra()
        # result = get_text(self.DEA.Make_dubbing)
        # expect = "制作英语听力"
        # assert expect == result
        # print(expect)
        time.sleep(2)
        self.delete.delete()


